package p10_klasy.v3;

class Wypisywanie {
    public static void main(String[] args) {
        Osoba a = new Osoba("Ala", "Kowalska", 30);
        Osoba b = new Osoba("Ola", "Malinowska", 40);

        System.out.println(a);
        System.out.println(b);
        System.out.println();
        // Każdy obiekt w Javie posiada metodę toString
        String s = a.toString();
        System.out.println(s);

        // Inne spsoby zamiany obiektów i innych wartości na String:
        // String.valueOf - ZAWSZE DZIAŁA. Można przekazać null, obiekt, wartośc typu prostego - zawsze powstanie String
        s = String.valueOf(a);
        System.out.println(s);

        // Można też dokleić wartość do napisu za pomocą +, ale to może być mniej wydajne...
        s = "" + a;
        System.out.println(s);
    }
}
